Get all logs for a model Run in API Explorer
Ask AI
Supports cursor pagination: send the X-PLANNR-CURSOR-PAGINATION: true header when iterating a large log set.
In cursor mode meta.total and meta.last_page are not returned; follow links.next until it is null.
Query parameters
-
Filter by a comma separated list of UUIDs.
-
Filter log type.
-
Filter log level.
-
Filter logs by modelable type.
-
Filter logs by the modelable's UUID (requires filter[modelable_type]).
-
Field to sort by. Valid fields are [created_at]. Negative sign to denote DESC. Defaults to '-created_at'.
-
the amount of logs per page (Default 15. Max 500).
GET
/api/v1/logs/{modelType}/{modelUuid}
curl \
--request GET 'https://api.plannrcrm.com/api/v1/logs/architecto/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-CURSOR-PAGINATION: true" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"data": [
{
"uuid": "b9b42d8f-b95d-42af-bcbd-134af4b3198a",
"created_at": "2026-11-17T20:47:11+00:00",
"updated_at": "2026-11-17T20:47:11+00:00",
"description": ":author :action Mantas Ruigys",
"author": {
"uuid": "a01a23a1-deaf-4dd6-b68f-0780091bf1dd",
"created_at": "2026-11-17T20:47:11+00:00",
"updated_at": "2026-11-17T20:47:11+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"firm": {
"uuid": "ec18a25b-b8f9-4661-b4eb-352c7a5ed3dc",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"factfind_pdf_header_background": "#0E0E56",
"factfind_pdf_header_text": "#ffffff",
"factfind_pdf_logo": "https://api.plannrcrm.com/images/plannr.jpg",
"is_subscribed": true,
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"primary_phone_number": {
"uuid": "4ea5bef4-348d-4cfc-9cae-ce1b83d6f892",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"primary_email": {
"uuid": "4ea5bef4-348d-4cfc-9cae-ce1b83d6f892",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"current_time_entry": {
"uuid": "0d53a274-be5e-474f-83f8-18206fa193ba",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"name": "Research",
"description": "This is a description.",
"trackable_type": "Client",
"start_date": "2026-11-17T19:57:16+00:00",
"end_date": "2026-11-17T20:25:16+00:00",
"is_active": true,
"total_time_in_minutes": 28,
"computed_time_elapsed_in_seconds": 1680
},
"assigned_adviser": {
"uuid": "6ac75436-c80e-4f51-8b85-00379150dd28",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-11-17T20:47:16+00:00",
"next_review_date": "2026-11-17T20:47:16+00:00",
"previous_review_date": "2026-11-17T20:47:16+00:00",
"anniversary_review_date": "2026-11-17T20:47:16+00:00",
"terms_of_business_at": "2026-11-17T20:47:16+00:00",
"client_agreement_at": "2026-11-17T20:47:16+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-11-17",
"last_interaction_at": "2026-11-17 20:47:16",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-11-17T20:47:16+00:00",
"out_of_office_until": "2026-11-17T20:47:16+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"assigned_administrator": {
"uuid": "6ac75436-c80e-4f51-8b85-00379150dd28",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-11-17T20:47:16+00:00",
"next_review_date": "2026-11-17T20:47:16+00:00",
"previous_review_date": "2026-11-17T20:47:16+00:00",
"anniversary_review_date": "2026-11-17T20:47:16+00:00",
"terms_of_business_at": "2026-11-17T20:47:16+00:00",
"client_agreement_at": "2026-11-17T20:47:16+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-11-17",
"last_interaction_at": "2026-11-17 20:47:16",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-11-17T20:47:16+00:00",
"out_of_office_until": "2026-11-17T20:47:16+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"assigned_paraplanner": {
"uuid": "6ac75436-c80e-4f51-8b85-00379150dd28",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-11-17T20:47:16+00:00",
"next_review_date": "2026-11-17T20:47:16+00:00",
"previous_review_date": "2026-11-17T20:47:16+00:00",
"anniversary_review_date": "2026-11-17T20:47:16+00:00",
"terms_of_business_at": "2026-11-17T20:47:16+00:00",
"client_agreement_at": "2026-11-17T20:47:16+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-11-17",
"last_interaction_at": "2026-11-17 20:47:16",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-11-17T20:47:16+00:00",
"out_of_office_until": "2026-11-17T20:47:16+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"introduced_by": {
"uuid": "6ac75436-c80e-4f51-8b85-00379150dd28",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-11-17T20:47:16+00:00",
"next_review_date": "2026-11-17T20:47:16+00:00",
"previous_review_date": "2026-11-17T20:47:16+00:00",
"anniversary_review_date": "2026-11-17T20:47:16+00:00",
"terms_of_business_at": "2026-11-17T20:47:16+00:00",
"client_agreement_at": "2026-11-17T20:47:16+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-11-17",
"last_interaction_at": "2026-11-17 20:47:16",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-11-17T20:47:16+00:00",
"out_of_office_until": "2026-11-17T20:47:16+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"business_unit": {
"uuid": "a67b225e-947f-4e27-a81a-2dbcef201cdb",
"name": "Wealth Management",
"has_alternative_branding": false,
"brand_colours": [],
"members_count": 3,
"groups_count": 2,
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00"
},
"groups": {
"uuid": null,
"name": "finance",
"slug": "finance",
"participants_count": "3",
"participants": {
"uuid": {
"example": null,
"description": "UUID of the account"
},
"role": {
"example": "client",
"description": "Role of the account"
},
"first_name": {
"example": "Gareth",
"description": "First name of the account"
},
"last_name": {
"example": "Thompson",
"description": "Last name of the account"
},
"name": {
"example": "Gareth Thompson",
"description": "Name of the account"
},
"email": {
"example": "gareth@codepotato.co.uk",
"description": "Email of the account"
}
},
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00"
},
"tags": {
"uuid": "650cc54b-1329-47e1-b5c1-9d33754f3e56",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
},
"marketing_consent": {
"email": "opted_in",
"phone": "opted_out",
"letter": "not_captured",
"sms": "not_captured"
},
"owners": {
"uuid": "6ac75436-c80e-4f51-8b85-00379150dd28",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-11-17T20:47:16+00:00",
"next_review_date": "2026-11-17T20:47:16+00:00",
"previous_review_date": "2026-11-17T20:47:16+00:00",
"anniversary_review_date": "2026-11-17T20:47:16+00:00",
"terms_of_business_at": "2026-11-17T20:47:16+00:00",
"client_agreement_at": "2026-11-17T20:47:16+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-11-17",
"last_interaction_at": "2026-11-17 20:47:16",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-11-17T20:47:16+00:00",
"out_of_office_until": "2026-11-17T20:47:16+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"first_contact_date": "2026-11-17T20:47:11+00:00",
"next_review_date": "2026-11-17T20:47:11+00:00",
"previous_review_date": "2026-11-17T20:47:11+00:00",
"anniversary_review_date": "2026-11-17T20:47:11+00:00",
"terms_of_business_at": "2026-11-17T20:47:11+00:00",
"client_agreement_at": "2026-11-17T20:47:11+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"joint_account_circle": {
"uuid": "c3cb9211-be6d-4533-a80a-1ea52c98bf94",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-11-17T20:47:16+00:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "f91ceb19-b81c-4986-ae74-64430e08ec46",
"login_access_level": "write",
"current_life_stage_uuid": "1ab5475d-2727-42f9-a686-c5caa9a5324f"
},
"circles": {
"uuid": "c3cb9211-be6d-4533-a80a-1ea52c98bf94",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-11-17T20:47:16+00:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "f91ceb19-b81c-4986-ae74-64430e08ec46",
"login_access_level": "write",
"current_life_stage_uuid": "1ab5475d-2727-42f9-a686-c5caa9a5324f"
},
"ownership_percentage": 100,
"inactive_at": "2026-11-17",
"last_interaction_at": "2026-11-17 20:47:11",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-11-17T20:47:11+00:00",
"out_of_office_until": "2026-11-17T20:47:11+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"service_level": {
"uuid": "eaeba275-76ed-4c55-8898-6c10592f7cbf",
"name": "Gold",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00"
},
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false,
"custom_fields": {
"uuid": null,
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"type": "string",
"name": "Favourite Drink",
"reference": "favourite_drink",
"is_required": false,
"value": "Coffee",
"selection_options": [
"Coffee",
"Tea",
"Water"
],
"help_text": "This is the client's favourite drink.",
"is_retired": false
},
"external_references": {
"uuid": "9b2c2d5c-703d-42e5-ba6b-b6e86a945a95",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"modelable": {
"uuid": "6cc7216d-5f02-48c8-af18-1ff82f208df0",
"created_at": "2026-11-17T20:47:11+00:00",
"updated_at": "2026-11-17T20:47:11+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"firm": {
"uuid": "ec18a25b-b8f9-4661-b4eb-352c7a5ed3dc",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"factfind_pdf_header_background": "#0E0E56",
"factfind_pdf_header_text": "#ffffff",
"factfind_pdf_logo": "https://api.plannrcrm.com/images/plannr.jpg",
"is_subscribed": true,
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"primary_phone_number": {
"uuid": "4ea5bef4-348d-4cfc-9cae-ce1b83d6f892",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"primary_email": {
"uuid": "4ea5bef4-348d-4cfc-9cae-ce1b83d6f892",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"current_time_entry": {
"uuid": "0d53a274-be5e-474f-83f8-18206fa193ba",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"name": "Research",
"description": "This is a description.",
"trackable_type": "Client",
"start_date": "2026-11-17T19:57:16+00:00",
"end_date": "2026-11-17T20:25:16+00:00",
"is_active": true,
"total_time_in_minutes": 28,
"computed_time_elapsed_in_seconds": 1680
},
"assigned_adviser": {
"uuid": "6ac75436-c80e-4f51-8b85-00379150dd28",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-11-17T20:47:16+00:00",
"next_review_date": "2026-11-17T20:47:16+00:00",
"previous_review_date": "2026-11-17T20:47:16+00:00",
"anniversary_review_date": "2026-11-17T20:47:16+00:00",
"terms_of_business_at": "2026-11-17T20:47:16+00:00",
"client_agreement_at": "2026-11-17T20:47:16+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-11-17",
"last_interaction_at": "2026-11-17 20:47:16",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-11-17T20:47:16+00:00",
"out_of_office_until": "2026-11-17T20:47:16+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"assigned_administrator": {
"uuid": "6ac75436-c80e-4f51-8b85-00379150dd28",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-11-17T20:47:16+00:00",
"next_review_date": "2026-11-17T20:47:16+00:00",
"previous_review_date": "2026-11-17T20:47:16+00:00",
"anniversary_review_date": "2026-11-17T20:47:16+00:00",
"terms_of_business_at": "2026-11-17T20:47:16+00:00",
"client_agreement_at": "2026-11-17T20:47:16+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-11-17",
"last_interaction_at": "2026-11-17 20:47:16",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-11-17T20:47:16+00:00",
"out_of_office_until": "2026-11-17T20:47:16+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"assigned_paraplanner": {
"uuid": "6ac75436-c80e-4f51-8b85-00379150dd28",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-11-17T20:47:16+00:00",
"next_review_date": "2026-11-17T20:47:16+00:00",
"previous_review_date": "2026-11-17T20:47:16+00:00",
"anniversary_review_date": "2026-11-17T20:47:16+00:00",
"terms_of_business_at": "2026-11-17T20:47:16+00:00",
"client_agreement_at": "2026-11-17T20:47:16+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-11-17",
"last_interaction_at": "2026-11-17 20:47:16",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-11-17T20:47:16+00:00",
"out_of_office_until": "2026-11-17T20:47:16+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"introduced_by": {
"uuid": "6ac75436-c80e-4f51-8b85-00379150dd28",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-11-17T20:47:16+00:00",
"next_review_date": "2026-11-17T20:47:16+00:00",
"previous_review_date": "2026-11-17T20:47:16+00:00",
"anniversary_review_date": "2026-11-17T20:47:16+00:00",
"terms_of_business_at": "2026-11-17T20:47:16+00:00",
"client_agreement_at": "2026-11-17T20:47:16+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-11-17",
"last_interaction_at": "2026-11-17 20:47:16",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-11-17T20:47:16+00:00",
"out_of_office_until": "2026-11-17T20:47:16+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"business_unit": {
"uuid": "a67b225e-947f-4e27-a81a-2dbcef201cdb",
"name": "Wealth Management",
"has_alternative_branding": false,
"brand_colours": [],
"members_count": 3,
"groups_count": 2,
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00"
},
"groups": {
"uuid": null,
"name": "finance",
"slug": "finance",
"participants_count": "3",
"participants": {
"uuid": {
"example": null,
"description": "UUID of the account"
},
"role": {
"example": "client",
"description": "Role of the account"
},
"first_name": {
"example": "Gareth",
"description": "First name of the account"
},
"last_name": {
"example": "Thompson",
"description": "Last name of the account"
},
"name": {
"example": "Gareth Thompson",
"description": "Name of the account"
},
"email": {
"example": "gareth@codepotato.co.uk",
"description": "Email of the account"
}
},
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00"
},
"tags": {
"uuid": "650cc54b-1329-47e1-b5c1-9d33754f3e56",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
},
"marketing_consent": {
"email": "opted_in",
"phone": "opted_out",
"letter": "not_captured",
"sms": "not_captured"
},
"owners": {
"uuid": "6ac75436-c80e-4f51-8b85-00379150dd28",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-11-17T20:47:16+00:00",
"next_review_date": "2026-11-17T20:47:16+00:00",
"previous_review_date": "2026-11-17T20:47:16+00:00",
"anniversary_review_date": "2026-11-17T20:47:16+00:00",
"terms_of_business_at": "2026-11-17T20:47:16+00:00",
"client_agreement_at": "2026-11-17T20:47:16+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-11-17",
"last_interaction_at": "2026-11-17 20:47:16",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-11-17T20:47:16+00:00",
"out_of_office_until": "2026-11-17T20:47:16+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"first_contact_date": "2026-11-17T20:47:11+00:00",
"next_review_date": "2026-11-17T20:47:11+00:00",
"previous_review_date": "2026-11-17T20:47:11+00:00",
"anniversary_review_date": "2026-11-17T20:47:11+00:00",
"terms_of_business_at": "2026-11-17T20:47:11+00:00",
"client_agreement_at": "2026-11-17T20:47:11+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"joint_account_circle": {
"uuid": "c3cb9211-be6d-4533-a80a-1ea52c98bf94",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-11-17T20:47:16+00:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "f91ceb19-b81c-4986-ae74-64430e08ec46",
"login_access_level": "write",
"current_life_stage_uuid": "1ab5475d-2727-42f9-a686-c5caa9a5324f"
},
"circles": {
"uuid": "c3cb9211-be6d-4533-a80a-1ea52c98bf94",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-11-17T20:47:16+00:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "f91ceb19-b81c-4986-ae74-64430e08ec46",
"login_access_level": "write",
"current_life_stage_uuid": "1ab5475d-2727-42f9-a686-c5caa9a5324f"
},
"ownership_percentage": 100,
"inactive_at": "2026-11-17",
"last_interaction_at": "2026-11-17 20:47:11",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-11-17T20:47:11+00:00",
"out_of_office_until": "2026-11-17T20:47:11+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"service_level": {
"uuid": "eaeba275-76ed-4c55-8898-6c10592f7cbf",
"name": "Gold",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00"
},
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false,
"custom_fields": {
"uuid": null,
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"type": "string",
"name": "Favourite Drink",
"reference": "favourite_drink",
"is_required": false,
"value": "Coffee",
"selection_options": [
"Coffee",
"Tea",
"Water"
],
"help_text": "This is the client's favourite drink.",
"is_retired": false
},
"external_references": {
"uuid": "9b2c2d5c-703d-42e5-ba6b-b6e86a945a95",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"modelable_type": "client",
"modelable_name": "Mantas Ruigys",
"through": {
"uuid": "aab6cca3-465c-46dd-a870-ae10cae966f0",
"created_at": "2026-11-17T20:47:11+00:00",
"updated_at": "2026-11-17T20:47:11+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"firm": {
"uuid": "ec18a25b-b8f9-4661-b4eb-352c7a5ed3dc",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"factfind_pdf_header_background": "#0E0E56",
"factfind_pdf_header_text": "#ffffff",
"factfind_pdf_logo": "https://api.plannrcrm.com/images/plannr.jpg",
"is_subscribed": true,
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"primary_phone_number": {
"uuid": "4ea5bef4-348d-4cfc-9cae-ce1b83d6f892",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"primary_email": {
"uuid": "4ea5bef4-348d-4cfc-9cae-ce1b83d6f892",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"current_time_entry": {
"uuid": "0d53a274-be5e-474f-83f8-18206fa193ba",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"name": "Research",
"description": "This is a description.",
"trackable_type": "Client",
"start_date": "2026-11-17T19:57:16+00:00",
"end_date": "2026-11-17T20:25:16+00:00",
"is_active": true,
"total_time_in_minutes": 28,
"computed_time_elapsed_in_seconds": 1680
},
"assigned_adviser": {
"uuid": "6ac75436-c80e-4f51-8b85-00379150dd28",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-11-17T20:47:16+00:00",
"next_review_date": "2026-11-17T20:47:16+00:00",
"previous_review_date": "2026-11-17T20:47:16+00:00",
"anniversary_review_date": "2026-11-17T20:47:16+00:00",
"terms_of_business_at": "2026-11-17T20:47:16+00:00",
"client_agreement_at": "2026-11-17T20:47:16+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-11-17",
"last_interaction_at": "2026-11-17 20:47:16",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-11-17T20:47:16+00:00",
"out_of_office_until": "2026-11-17T20:47:16+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"assigned_administrator": {
"uuid": "6ac75436-c80e-4f51-8b85-00379150dd28",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-11-17T20:47:16+00:00",
"next_review_date": "2026-11-17T20:47:16+00:00",
"previous_review_date": "2026-11-17T20:47:16+00:00",
"anniversary_review_date": "2026-11-17T20:47:16+00:00",
"terms_of_business_at": "2026-11-17T20:47:16+00:00",
"client_agreement_at": "2026-11-17T20:47:16+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-11-17",
"last_interaction_at": "2026-11-17 20:47:16",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-11-17T20:47:16+00:00",
"out_of_office_until": "2026-11-17T20:47:16+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"assigned_paraplanner": {
"uuid": "6ac75436-c80e-4f51-8b85-00379150dd28",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-11-17T20:47:16+00:00",
"next_review_date": "2026-11-17T20:47:16+00:00",
"previous_review_date": "2026-11-17T20:47:16+00:00",
"anniversary_review_date": "2026-11-17T20:47:16+00:00",
"terms_of_business_at": "2026-11-17T20:47:16+00:00",
"client_agreement_at": "2026-11-17T20:47:16+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-11-17",
"last_interaction_at": "2026-11-17 20:47:16",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-11-17T20:47:16+00:00",
"out_of_office_until": "2026-11-17T20:47:16+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"introduced_by": {
"uuid": "6ac75436-c80e-4f51-8b85-00379150dd28",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-11-17T20:47:16+00:00",
"next_review_date": "2026-11-17T20:47:16+00:00",
"previous_review_date": "2026-11-17T20:47:16+00:00",
"anniversary_review_date": "2026-11-17T20:47:16+00:00",
"terms_of_business_at": "2026-11-17T20:47:16+00:00",
"client_agreement_at": "2026-11-17T20:47:16+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-11-17",
"last_interaction_at": "2026-11-17 20:47:16",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-11-17T20:47:16+00:00",
"out_of_office_until": "2026-11-17T20:47:16+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"business_unit": {
"uuid": "a67b225e-947f-4e27-a81a-2dbcef201cdb",
"name": "Wealth Management",
"has_alternative_branding": false,
"brand_colours": [],
"members_count": 3,
"groups_count": 2,
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00"
},
"groups": {
"uuid": null,
"name": "finance",
"slug": "finance",
"participants_count": "3",
"participants": {
"uuid": {
"example": null,
"description": "UUID of the account"
},
"role": {
"example": "client",
"description": "Role of the account"
},
"first_name": {
"example": "Gareth",
"description": "First name of the account"
},
"last_name": {
"example": "Thompson",
"description": "Last name of the account"
},
"name": {
"example": "Gareth Thompson",
"description": "Name of the account"
},
"email": {
"example": "gareth@codepotato.co.uk",
"description": "Email of the account"
}
},
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00"
},
"tags": {
"uuid": "650cc54b-1329-47e1-b5c1-9d33754f3e56",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
},
"marketing_consent": {
"email": "opted_in",
"phone": "opted_out",
"letter": "not_captured",
"sms": "not_captured"
},
"owners": {
"uuid": "6ac75436-c80e-4f51-8b85-00379150dd28",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-11-17T20:47:16+00:00",
"next_review_date": "2026-11-17T20:47:16+00:00",
"previous_review_date": "2026-11-17T20:47:16+00:00",
"anniversary_review_date": "2026-11-17T20:47:16+00:00",
"terms_of_business_at": "2026-11-17T20:47:16+00:00",
"client_agreement_at": "2026-11-17T20:47:16+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-11-17",
"last_interaction_at": "2026-11-17 20:47:16",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-11-17T20:47:16+00:00",
"out_of_office_until": "2026-11-17T20:47:16+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"first_contact_date": "2026-11-17T20:47:11+00:00",
"next_review_date": "2026-11-17T20:47:11+00:00",
"previous_review_date": "2026-11-17T20:47:11+00:00",
"anniversary_review_date": "2026-11-17T20:47:11+00:00",
"terms_of_business_at": "2026-11-17T20:47:11+00:00",
"client_agreement_at": "2026-11-17T20:47:11+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"joint_account_circle": {
"uuid": "c3cb9211-be6d-4533-a80a-1ea52c98bf94",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-11-17T20:47:16+00:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "f91ceb19-b81c-4986-ae74-64430e08ec46",
"login_access_level": "write",
"current_life_stage_uuid": "1ab5475d-2727-42f9-a686-c5caa9a5324f"
},
"circles": {
"uuid": "c3cb9211-be6d-4533-a80a-1ea52c98bf94",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-11-17T20:47:16+00:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "f91ceb19-b81c-4986-ae74-64430e08ec46",
"login_access_level": "write",
"current_life_stage_uuid": "1ab5475d-2727-42f9-a686-c5caa9a5324f"
},
"ownership_percentage": 100,
"inactive_at": "2026-11-17",
"last_interaction_at": "2026-11-17 20:47:11",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-11-17T20:47:11+00:00",
"out_of_office_until": "2026-11-17T20:47:11+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"service_level": {
"uuid": "eaeba275-76ed-4c55-8898-6c10592f7cbf",
"name": "Gold",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00"
},
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false,
"custom_fields": {
"uuid": null,
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"type": "string",
"name": "Favourite Drink",
"reference": "favourite_drink",
"is_required": false,
"value": "Coffee",
"selection_options": [
"Coffee",
"Tea",
"Water"
],
"help_text": "This is the client's favourite drink.",
"is_retired": false
},
"external_references": {
"uuid": "9b2c2d5c-703d-42e5-ba6b-b6e86a945a95",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"account": {
"uuid": "0b09fbb4-4944-4ce4-8729-1bc251147dfa",
"created_at": "2026-11-17T20:47:11+00:00",
"updated_at": "2026-11-17T20:47:11+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"firm": {
"uuid": "ec18a25b-b8f9-4661-b4eb-352c7a5ed3dc",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"factfind_pdf_header_background": "#0E0E56",
"factfind_pdf_header_text": "#ffffff",
"factfind_pdf_logo": "https://api.plannrcrm.com/images/plannr.jpg",
"is_subscribed": true,
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"primary_phone_number": {
"uuid": "4ea5bef4-348d-4cfc-9cae-ce1b83d6f892",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"primary_email": {
"uuid": "4ea5bef4-348d-4cfc-9cae-ce1b83d6f892",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"current_time_entry": {
"uuid": "0d53a274-be5e-474f-83f8-18206fa193ba",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"name": "Research",
"description": "This is a description.",
"trackable_type": "Client",
"start_date": "2026-11-17T19:57:16+00:00",
"end_date": "2026-11-17T20:25:16+00:00",
"is_active": true,
"total_time_in_minutes": 28,
"computed_time_elapsed_in_seconds": 1680
},
"assigned_adviser": {
"uuid": "6ac75436-c80e-4f51-8b85-00379150dd28",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-11-17T20:47:16+00:00",
"next_review_date": "2026-11-17T20:47:16+00:00",
"previous_review_date": "2026-11-17T20:47:16+00:00",
"anniversary_review_date": "2026-11-17T20:47:16+00:00",
"terms_of_business_at": "2026-11-17T20:47:16+00:00",
"client_agreement_at": "2026-11-17T20:47:16+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-11-17",
"last_interaction_at": "2026-11-17 20:47:16",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-11-17T20:47:16+00:00",
"out_of_office_until": "2026-11-17T20:47:16+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"assigned_administrator": {
"uuid": "6ac75436-c80e-4f51-8b85-00379150dd28",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-11-17T20:47:16+00:00",
"next_review_date": "2026-11-17T20:47:16+00:00",
"previous_review_date": "2026-11-17T20:47:16+00:00",
"anniversary_review_date": "2026-11-17T20:47:16+00:00",
"terms_of_business_at": "2026-11-17T20:47:16+00:00",
"client_agreement_at": "2026-11-17T20:47:16+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-11-17",
"last_interaction_at": "2026-11-17 20:47:16",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-11-17T20:47:16+00:00",
"out_of_office_until": "2026-11-17T20:47:16+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"assigned_paraplanner": {
"uuid": "6ac75436-c80e-4f51-8b85-00379150dd28",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-11-17T20:47:16+00:00",
"next_review_date": "2026-11-17T20:47:16+00:00",
"previous_review_date": "2026-11-17T20:47:16+00:00",
"anniversary_review_date": "2026-11-17T20:47:16+00:00",
"terms_of_business_at": "2026-11-17T20:47:16+00:00",
"client_agreement_at": "2026-11-17T20:47:16+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-11-17",
"last_interaction_at": "2026-11-17 20:47:16",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-11-17T20:47:16+00:00",
"out_of_office_until": "2026-11-17T20:47:16+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"introduced_by": {
"uuid": "6ac75436-c80e-4f51-8b85-00379150dd28",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-11-17T20:47:16+00:00",
"next_review_date": "2026-11-17T20:47:16+00:00",
"previous_review_date": "2026-11-17T20:47:16+00:00",
"anniversary_review_date": "2026-11-17T20:47:16+00:00",
"terms_of_business_at": "2026-11-17T20:47:16+00:00",
"client_agreement_at": "2026-11-17T20:47:16+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-11-17",
"last_interaction_at": "2026-11-17 20:47:16",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-11-17T20:47:16+00:00",
"out_of_office_until": "2026-11-17T20:47:16+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"business_unit": {
"uuid": "a67b225e-947f-4e27-a81a-2dbcef201cdb",
"name": "Wealth Management",
"has_alternative_branding": false,
"brand_colours": [],
"members_count": 3,
"groups_count": 2,
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00"
},
"groups": {
"uuid": null,
"name": "finance",
"slug": "finance",
"participants_count": "3",
"participants": {
"uuid": {
"example": null,
"description": "UUID of the account"
},
"role": {
"example": "client",
"description": "Role of the account"
},
"first_name": {
"example": "Gareth",
"description": "First name of the account"
},
"last_name": {
"example": "Thompson",
"description": "Last name of the account"
},
"name": {
"example": "Gareth Thompson",
"description": "Name of the account"
},
"email": {
"example": "gareth@codepotato.co.uk",
"description": "Email of the account"
}
},
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00"
},
"tags": {
"uuid": "650cc54b-1329-47e1-b5c1-9d33754f3e56",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
},
"marketing_consent": {
"email": "opted_in",
"phone": "opted_out",
"letter": "not_captured",
"sms": "not_captured"
},
"owners": {
"uuid": "6ac75436-c80e-4f51-8b85-00379150dd28",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-11-17T20:47:16+00:00",
"next_review_date": "2026-11-17T20:47:16+00:00",
"previous_review_date": "2026-11-17T20:47:16+00:00",
"anniversary_review_date": "2026-11-17T20:47:16+00:00",
"terms_of_business_at": "2026-11-17T20:47:16+00:00",
"client_agreement_at": "2026-11-17T20:47:16+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-11-17",
"last_interaction_at": "2026-11-17 20:47:16",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-11-17T20:47:16+00:00",
"out_of_office_until": "2026-11-17T20:47:16+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"first_contact_date": "2026-11-17T20:47:11+00:00",
"next_review_date": "2026-11-17T20:47:11+00:00",
"previous_review_date": "2026-11-17T20:47:11+00:00",
"anniversary_review_date": "2026-11-17T20:47:11+00:00",
"terms_of_business_at": "2026-11-17T20:47:11+00:00",
"client_agreement_at": "2026-11-17T20:47:11+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"joint_account_circle": {
"uuid": "c3cb9211-be6d-4533-a80a-1ea52c98bf94",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-11-17T20:47:16+00:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "f91ceb19-b81c-4986-ae74-64430e08ec46",
"login_access_level": "write",
"current_life_stage_uuid": "1ab5475d-2727-42f9-a686-c5caa9a5324f"
},
"circles": {
"uuid": "c3cb9211-be6d-4533-a80a-1ea52c98bf94",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-11-17T20:47:16+00:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "f91ceb19-b81c-4986-ae74-64430e08ec46",
"login_access_level": "write",
"current_life_stage_uuid": "1ab5475d-2727-42f9-a686-c5caa9a5324f"
},
"ownership_percentage": 100,
"inactive_at": "2026-11-17",
"last_interaction_at": "2026-11-17 20:47:11",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-11-17T20:47:11+00:00",
"out_of_office_until": "2026-11-17T20:47:11+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"service_level": {
"uuid": "eaeba275-76ed-4c55-8898-6c10592f7cbf",
"name": "Gold",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00"
},
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false,
"custom_fields": {
"uuid": null,
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"type": "string",
"name": "Favourite Drink",
"reference": "favourite_drink",
"is_required": false,
"value": "Coffee",
"selection_options": [
"Coffee",
"Tea",
"Water"
],
"help_text": "This is the client's favourite drink.",
"is_retired": false
},
"external_references": {
"uuid": "9b2c2d5c-703d-42e5-ba6b-b6e86a945a95",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"accounts": [
{
"uuid": {
"example": "cac17798-a60b-470e-a342-ae7cccd8c31e",
"description": "The UUID of the resource.",
"collection": false
},
"created_at": {
"example": "2026-11-17T20:47:11+00:00",
"description": "The timestamp of when the resource was created.",
"collection": false
},
"updated_at": {
"example": "2026-11-17T20:47:11+00:00",
"description": "The timestamp of when the resource was updated.",
"collection": false
},
"type": {
"example": "client",
"description": "Account type",
"collection": false
},
"role": {
"example": "client",
"description": "Account role",
"collection": false
},
"first_name": {
"example": "Gareth",
"description": "First name",
"collection": false
},
"last_name": {
"example": "Thompson",
"description": "Last name",
"collection": false
},
"name": {
"example": "Gareth Thompson",
"description": "Name",
"collection": false
},
"email": {
"example": "gareth@codepotato.co.uk",
"description": "(Deprecated - Please use the primary email of the account instead). The email of the account.",
"collection": false
},
"photo_url": {
"example": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"description": "The photo URL of the client",
"collection": false
},
"external_references": {
"example": {
"uuid": "9b2c2d5c-703d-42e5-ba6b-b6e86a945a95",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"third_party": "nucleus",
"reference": "AB123456"
},
"description": "The external references that have been added to the client.",
"collection": true
}
}
],
"type": "viewed",
"level": "info",
"metadata": [],
"is_impersonated": "false"
}
]
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}